Qt 5.7 | Qt 3D | C++ Classes | QPropertyNodeRemovedChange

Qt 5.7.1 Reference Documentation

# QPropertyNodeRemovedChange Class

(Qt3DCore::QPropertyNodeRemovedChange)

The QPropertyNodeRemovedChange class is used to notify when a node is removed from a property More...

Header: | #include <QPropertyNodeRemovedChange>
qmake: | QT += 3dcore
Inherits: | QStaticPropertyValueRemovedChangeBase

- List of all members, including inherited members

## Public Functions

| QPropertyNodeRemovedChange(QNodeId subjectId, QNode *node)
const QMetaObject * | metaObject() const
QNodeId | removedNodeId() const

- 2 public functions inherited from Qt3DCore::QStaticPropertyValueRemovedChangeBase
- 4 public functions inherited from Qt3DCore::QSceneChange

## Related Non-Members

typedef | QPropertyNodeRemovedChangePtr

## Detailed Description

The QPropertyNodeRemovedChange class is used to notify when a node is removed from a property

## Member Function Documentation

### QPropertyNodeRemovedChange::QPropertyNodeRemovedChange(QNodeId subjectId, QNode *node)

Constructs a new QPropertyNodeRemovedChange with subjectId, node.

### const QMetaObject *QPropertyNodeRemovedChange::metaObject() const

Returns the metaObject of the node removed to the property.

### QNodeId QPropertyNodeRemovedChange::removedNodeId() const

Returns the id of the node removed to the property.

## Related Non-Members

### typedef Qt3DCore::QPropertyNodeRemovedChangePtr

A shared pointer for QPropertyNodeRemovedChange.